
Redmine - Defect #45

Wiki names can't have periods in them

2007-04-18 14:16 - Damien McKenna

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Related to the other bug on project names, I set the project's wiki start page to be "www.mysite.com".  When

I clicked on the Wiki link in that project's menu it showed that the page name had been changed to "Www.mysite.com"

(notice the first letter being upper-case).  Then when I tried to save the page it gave an error message saying that

the page could not be found.  As soon as I changed the project's wiki start page to "WwwMysiteCom" it all

magiclaly worked again.

Please either make the wiki start page field not allow periods or make the wiki system allow them, right now one is

allowing them while the other is not.

Thanks again.

Damien

Related issues:

Related to Redmine - Defect #10673: Dot and comma in wiki pagename New

History

#1 - 2007-04-22 05:51 - Jean-Philippe Lang

Fix committed.

Periods are no longer allowed in wiki start page name.

Thanks.

#2 - 2007-04-23 07:21 - Damien McKenna

Thank you
